Commit 5d517b97 authored by Laurent Montel's avatar Laurent Montel 😁

increase version

parent ef3788f6
project(kdepim)
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
option(KDEPIM_SUPERBUILD "Build standalone apps (experimental not used for distro)" FALSE)
if (KDEPIM_SUPERBUILD)
......
project(accountwizard)
if(${CMAKE_SOURCE_DIR} STREQUAL ${accountwizard_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(LIBRARY_NAMELINK LIBRARY NAMELINK_SKIP)
......
project(akonadiconsole)
if(${CMAKE_SOURCE_DIR} STREQUAL ${akonadiconsole_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(akregator)
if(${CMAKE_SOURCE_DIR} STREQUAL ${akregator_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(blogilo)
if(${CMAKE_SOURCE_DIR} STREQUAL ${blogilo_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(console)
if(${CMAKE_SOURCE_DIR} STREQUAL ${console_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(grantleeditor)
if(${CMAKE_SOURCE_DIR} STREQUAL ${grantleeditor_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(importwizard)
if(${CMAKE_SOURCE_DIR} STREQUAL ${importwizard_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(kaddressbook)
if(${CMAKE_SOURCE_DIR} STREQUAL ${kaddressbook_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(kalarm)
if(${CMAKE_SOURCE_DIR} STREQUAL ${kalarm_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
......
......@@ -4,7 +4,7 @@ include(CheckIncludeFiles)
if(${CMAKE_SOURCE_DIR} STREQUAL ${kmail_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
if (POLICY CMP0063)
cmake_policy(SET CMP0063 NEW)
endif()
......
......@@ -2,7 +2,7 @@ project(knotes)
if(${CMAKE_SOURCE_DIR} STREQUAL ${knotes_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${knotes_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
......
project(kontact)
if(${CMAKE_SOURCE_DIR} STREQUAL ${kontact_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(korganizer)
if(${CMAKE_SOURCE_DIR} STREQUAL ${korganizer_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
if (POLICY CMP0063)
cmake_policy(SET CMP0063 NEW)
endif()
......
project(ktnef)
if(${CMAKE_SOURCE_DIR} STREQUAL ${ktnef_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(mboximporter)
if(${CMAKE_SOURCE_DIR} STREQUAL ${mboximporter_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project(pimsettingexporter)
if(${CMAKE_SOURCE_DIR} STREQUAL ${pimsettingexporter_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project( sieveeditor )
if(${CMAKE_SOURCE_DIR} STREQUAL ${sieveeditor_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.22.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......
project( storageservicemanager )
if(${CMAKE_SOURCE_DIR} STREQUAL ${storageservicemanager_SOURCE_DIR})
cmake_minimum_required(VERSION 2.8.12)
cmake_minimum_required(VERSION 3.1)
if (POLICY CMP0063)
cmake_policy(SET CMP0063 NEW)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment